<script lang="ts">
  export let effect: ActiveEffect
</script>

<div style={effect.disabled ? 'color:grey' : undefined}>
  <!-- svelte-ignore a11y-missing-attribute -->
  <img src={effect.icon} />
  <!-- svelte-ignore a11y-click-events-have-key-events a11y-no-static-element-interactions a11y-missing-attribute -->
  <a on:click={() => effect.sheet.render(true)} data-testid="effect-label"
    >{effect.name}</a
  >
  <!-- svelte-ignore a11y-click-events-have-key-events a11y-no-static-element-interactions a11y-missing-attribute -->
  <a on:click={() => effect.delete()} data-testid="effect-delete"
    ><i class="fas fa-trash" /></a
  >
  <!-- svelte-ignore a11y-click-events-have-key-events a11y-no-static-element-interactions a11y-missing-attribute -->
  <a
    on:click={async () => {
      await effect.update({
        disabled: !effect.disabled,
      })
    }}
    data-testid="effect-disable"><i class="fas fa-power-off" /></a
  >
</div>
